function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Changes from the Previous Release of this Guide","3");
B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO BusinessEvents Documentation","4#41733");
C=B.fN("Accessing BusinessEvents Functions Reference Documentation","4#41799");
C=B.fN("TIBCO BusinessEvents Event Stream Processing","4#41815");
C=B.fN("TIBCO BusinessEvents Decision Manager","4#41853");
C=B.fN("TIBCO BusinessEvents Data Modeling","4#41876");
C=B.fN("TIBCO BusinessEvents Views","4#41905");
C=B.fN("Other TIBCO Product Documentation","4#41938");
B=A.fN("Typographical Conventions","5");
B=A.fN("How to Contact TIBCO Support","6");
A=P.fN("Chapter\u00a01 Installation Overview","7");
B=A.fN("Required and Optional Products","8");
C=B.fN("Required and Optional Third-Party Products","8#1804829");
C=B.fN("Optional TIBCO Products","8#1804866");
B=A.fN("TIBCO BusinessEvents Components and Add-on Products","9");
C=B.fN("TIBCO BusinessEvents","9#1820394");
C=B.fN("Add-on Products","9#1831636");
B=A.fN("Upgrading TIBCO BusinessEvents","10");
C=B.fN("Standard Upgrade Procedures","10#1794301");
B=A.fN("Supported Windows Platforms and Guidelines","11");
C=B.fN("Supported Windows Platforms","11#1806322");
C=B.fN("Installation Guidelines","11#1843953");
B=A.fN("Supported UNIX Platforms and Guidelines","12");
C=B.fN("Supported UNIX Platforms","12#1808389");
C=B.fN("Installation Guidelines","12#1808423");
B=A.fN("Installation History Log Files","13");
B=A.fN("Using an Existing Eclipse (or TIBCO Business Studio\u2122) Installation","14");
A=P.fN("Chapter\u00a02 BusinessEvents Installation","15");
B=A.fN("Installer Overview","16");
C=B.fN("Download the BusinessEvents Software","16#1848710");
C=B.fN("TIBCO Environment and Default Installation Directory","16#1838561");
C=B.fN("User's Home Directory Space Requirement","16#1838608");
B=A.fN("Installing BusinessEvents","17");
C=B.fN("Install in GUI Mode","17#1838612");
C=B.fN("Install in Console Mode","17#1797617");
C=B.fN("Install in Silent Mode","17#1795707");
B=A.fN("Verifying the Installation","18");
C=B.fN("Verifying TIBCO BusinessEvents Installation","18#1847933");
C=B.fN("Verifying Add-On Product Installations","18#1847804");
B=A.fN("Uninstalling TIBCO BusinessEvents","19");
A=P.fN("Chapter\u00a03 Post Installation Tasks","20");
B=A.fN("Post Installation Tasks for All Platforms","21");
C=B.fN("Re-Initialize Studio Plug-ins Registry after Add-on Software Installation","21#1855233");
C=B.fN("Open Projects in BusinessEvents Studio to Update Channel Format","21#1855101");
C=B.fN("Rebuild all EAR files","21#1855113");
B=A.fN("Check and Update JVM Settings in Properties Files","22");
B=A.fN("All UNIX Installations \u2014 Directory Permissions","23");
C=B.fN("Permissions for BusinessEvents Directories","23#1853119");
B=A.fN("Configuration for 64-bit Mode","24");
C=B.fN("HP-UX","24#1809645");
A=P.fN("Chapter\u00a04 Installation FAQs and Troubleshooting","25");
B=A.fN("Frequently Asked Questions","25#1764885");
B=A.fN("Running Out of Disk Space","25#1764936");
B=A.fN("Installation Errors on HPUX 11.00 64-bit Platform","25#1764957");
A=P.fN("Chapter\u00a05 Migrating from Earlier Versions","26");
B=A.fN("Overview of Migration of 3.x Projects","27");
C=B.fN("Runtime Properties are Configured in the CDD File","27#1696518");
C=B.fN("Preloading of Entities is Configured in the CDD and has been Simplified","27#1696555");
C=B.fN("All Engine Types and Agent Classes are Now Configured in the CDD File","27#1696543");
C=B.fN("Use of the JDBC Backing Store is Recommended","27#1691266");
C=B.fN("Migrating TIBCO BusinessEvents Decision Manager Projects","27#1697893");
C=B.fN("Check Deprecated Features in Release Notes","27#1696471");
C=B.fN("Migration Summary Procedure","27#1691285");
B=A.fN("Import the 3.x TIBCO Designer Project","28");
C=B.fN("Importing a BusinessEvents 3.x Project into BusinessEvents Studio","28#1686715");
C=B.fN("Importing a BusinessEvents 3.x Project at the Command Line","28#1686777");
B=A.fN("Clean and Validate the Project, and Correct Validation Errors","29");
C=B.fN("Clean and Validate the Project","29#1695663");
C=B.fN("Ambiguous Reference Errors (Unqualified References)","29#1685290");
C=B.fN("XSLT Mapper Errors","29#1683191");
C=B.fN("Use of Words Now in Reserved Word List","29#1695770");
B=A.fN("Other Post Import Actions","30");
C=B.fN("Check Runtime Properties, Remove from TRA, Add to CDD as Needed","30#1692537");
C=B.fN("Reconfigure Integration with TIBCO ActiveMatrix BusinessWorks","30#1692546");
C=B.fN("For TIBCO Administrator Deployment, CDD Replaces be-engine.xml","30#1692597");
C=B.fN("Add Project Libraries to the 4.x Project","30#1692603");
B=A.fN("Migrate the Backing Store Implementation and Backing Store Data","31");
B=A.fN("Upgrading the Legacy Backing Store from Version 3.0.0 or Earlier","32");
C=B.fN("Updating Legacy Backing Store for Schema Change in 3.0.1","32#1679849");
B=A.fN("Migrating Data to a Current Backing Store Implementation","33");
B=A.fN("Backing Store Data Migration Property Reference","34");
A=P.fN("Chapter\u00a06 Migrating Persistence Data to Backing Store","35");
B=A.fN("Migrating Data from Persistence Database to Oracle Backing Store","36");
C=B.fN("Prepare Property Files","36#1674665");
C=B.fN("Export Data from the Persistence Database","36#1674739");
C=B.fN("Import Data to the Oracle Only Backing Store","36#1674755");
B=A.fN("Persistence Migration Utility Usage and Parameters","37");
C=B.fN("Usage","37#1674781");
C=B.fN("Persistence Database Migration Utility Parameters","37#1674794");
B=A.fN("Persistence Migration Export Reference Tables","38");
C=B.fN("Migration Export Table and Column Information","38#1674940");
C=B.fN("Concept Property Type Code Definitions","38#1675368");
A=P.fN("Chapter\u00a07 Property Migration Reference","39");
B=A.fN("Property Migration Reference","40");
A=P.fN("Appendix\u00a0A Deprecated and Unused Properties","41");
}
