function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of this Guide","5");
B=A.fN("Related Documentation","6");
var C=B.fN("TIBCO BusinessEvents Documentation","6#47315");
C=B.fN("Accessing BusinessEvents Functions Reference Documentation","6#47381");
C=B.fN("TIBCO BusinessEvents Event Stream Processing","6#47397");
C=B.fN("TIBCO BusinessEvents Decision Manager","6#47435");
C=B.fN("TIBCO BusinessEvents Data Modeling","6#47458");
C=B.fN("TIBCO BusinessEvents Views","6#47487");
C=B.fN("Other TIBCO Product Documentation","6#47520");
B=A.fN("Typographical Conventions","7");
B=A.fN("How to Contact TIBCO Support","8");
A=P.fN("Chapter\u00a01 Administration Overview","9");
B=A.fN("Introduction","10");
A=P.fN("Chapter\u00a02 System-Level (TRA File) Configuration","11");
B=A.fN("Various System Level Configuration Tasks","12");
C=B.fN("Java and JVM Level Settings","12#1789676");
C=B.fN("For Cache Based Object Management on AIX","12#1772826");
C=B.fN("For TIBCO Enterprise Message Service and TIBCO Rendezvous Channels","12#1772746");
C=B.fN("JMX Properties for TIBCO BusinessEvents Monitoring and Management","12#1772983");
A=P.fN("Chapter\u00a03 CDD Configuration Procedures","13");
B=A.fN("Overview of Cluster Deployment Configuration","14");
C=B.fN("Using Properties at Different Levels","14#1781312");
C=B.fN("Order of Precedence at Runtime","14#1781912");
B=A.fN("Task Summary","15");
C=B.fN("Cluster Tab","15#1727116");
C=B.fN("Collections Tab","15#1727371");
C=B.fN("Agent Classes Tab","15#1727518");
C=B.fN("Processing Units Tab","15#1727538");
C=B.fN("Entity Metadata Settings","15#1768474");
B=A.fN("Adding a Cluster Deployment Descriptor","16");
B=A.fN("Configuring an In Memory OM Cluster","17");
B=A.fN("Configuring a Cache OM Cluster \u2014 Cluster Tab","18");
C=B.fN("Configuring Well-Known Address Cluster Member Discovery","18#1785734");
B=A.fN("Configuring the Collections Tab (All OM Types)","19");
C=B.fN("Configuring Collections","19#1702619");
C=B.fN("Configuring Log Configurations","19#1706821");
B=A.fN("Configuring the Agent Classes Tab (All OM Types)","20");
B=A.fN("Configuring the Processing Units Tab (All OM Types)","21");
B=A.fN("Overriding Global Variables in the CDD File","22");
B=A.fN("Entity-Level Configuration for Cache and Backing Store","23");
C=B.fN("Metadata Properties for Entities (Events and Concepts)","23#1767796");
A=P.fN("Chapter\u00a04 Cluster Deployment Descriptor Reference","24");
B=A.fN("Cluster Tab \u2014 General Settings","25");
B=A.fN("Cluster Tab \u2014 Cache OM \u2014 Configuration Setting","26");
B=A.fN("Cluster Tab \u2014 Cache OM \u2014 Backing Store Settings","27");
B=A.fN("Cluster Tab \u2014 Cache OM \u2014 Backing Store Properties","28");
B=A.fN("Cluster Tab \u2014 Cache OM \u2014 Domain Objects Settings","29");
C=B.fN("Default Level Settings","29#1768850");
C=B.fN("Entity Level Object Overrides and Related Settings","29#1766546");
B=A.fN("Cluster Tab \u2014 Cache OM \u2014 Coherence Properties","30");
B=A.fN("Collections Tab \u2014 Destinations Settings and Properties","31");
B=A.fN("Collections Tab \u2014 Log Configurations Overview","32");
B=A.fN("Collections Tab \u2014 Log Configurations Settings","33");
B=A.fN("Agents Tab Settings and Properties","34");
B=A.fN("Processing Units Tab \u2014 General Settings and Properties","35");
B=A.fN("Processing Units Tab \u2014 JMS Server Reconnection Properties","36");
A=P.fN("Chapter\u00a05 Cluster Configuration for Berkeley DB OM","37");
B=A.fN("Configuring a Berkeley DB OM Cluster","38");
B=A.fN("Cluster Tab \u2014 Berkeley DB OM Settings and Properties","39");
C=B.fN("Additional Configuration Notes","39#1750549");
A=P.fN("Chapter\u00a06 Basic MM Configuration","40");
B=A.fN("Overview","41");
C=B.fN("Before You Begin","41#1686694");
C=B.fN("MM Runtime Architecture","41#1691074");
C=B.fN("Summary of Configuration Tasks","41#1695060");
B=A.fN("Install and Configure Software for Remote Start and Deployment","42");
C=B.fN("SSH","42#1686733");
C=B.fN("TIBCO Hawk","42#1686765");
C=B.fN("PsTools","42#1686784");
B=A.fN("Install and Configure TIBCO Hawk for Machine Level Metrics","43");
B=A.fN("Configure JMX Properties in Monitored Engine TRA Files","44");
B=A.fN("Site Topology Overview","45");
C=B.fN("Editing the Site Topology File in a Text Editor or in the Graphical Editor","45#1687382");
C=B.fN("Summary of Site Topology Configuration","45#1697178");
C=B.fN("Project, Master, and Deployed Locations of CDD and EAR Files","45#1687423");
C=B.fN("Deployment-Specific Processing Units","45#1687444");
B=A.fN("Configure the Site Topology in TIBCO BusinessEvents Studio","46");
B=A.fN("Site Topology Reference","47");
C=B.fN("Site Settings","47#1687539");
C=B.fN("Cluster Settings","47#1687587");
C=B.fN("Deployment Unit Settings","47#1687661");
C=B.fN("Processing Unit Settings","47#1687720");
C=B.fN("Host Settings","47#1699378");
B=A.fN("Specify the Site Topology File and Basic MM Settings in MM.cdd","48");
B=A.fN("MM Agent Basic Configuration Reference","49");
B=A.fN("Configuring for WKA Cluster Discovery Configuration","50");
B=A.fN("Configure MM Console Properties","51");
A=P.fN("Chapter\u00a07 MM Metrics and Features Configuration","52");
B=A.fN("Overview of Configuring MM Alerts, Thresholds, and Actions","53");
B=A.fN("Understanding and Configuring Alerts","54");
C=B.fN("Understanding Alerts","54#1712832");
C=B.fN("Configuring Alerts","54#1710838");
B=A.fN("Alert Configuration Reference","55");
B=A.fN("Specifying the Path to an Alert Metric Value (and a Reference Value)","56");
C=B.fN("Specifying the Alert Message","56#1711040");
B=A.fN("Pane Types Reference for Alert Configuration","57");
B=A.fN("Understanding Health Metric Rules","58");
C=B.fN("Cluster Member Paths","58#1706117");
C=B.fN("Two Types of Thresholds","58#1706284");
C=B.fN("Health Metric Rule Examples","58#1713154");
B=A.fN("Configuring Health Metric Rules","59");
B=A.fN("Health Metric Rule Configuration Reference","60");
B=A.fN("Configuring Actions","61");
B=A.fN("Action Configuration Reference","62");
A=P.fN("Chapter\u00a08 Deploying and Managing Engines with MM","63");
B=A.fN("Starting MM Server and Logging On to the Console","64");
B=A.fN("Overriding Global Variables at Deploy Time","65");
B=A.fN("Deploying and Managing Engines in the MM UI","66");
C=B.fN("Manually Copy Custom Function and Third-Party Jars at Deploy-time","66#1771912");
C=B.fN("Deploying Cluster Engines","66#1766705");
C=B.fN("Starting, Stopping, Pausing, and Resuming Cluster Engines","66#1765589");
C=B.fN("Hot Deployment","66#1774117");
B=A.fN("Deploying or Starting Engines with the Command Line Utility","67");
C=B.fN("Configuring the MM Tools Utility TRA File","67#1765169");
C=B.fN("Deploying or Starting a Remote Engine","67#1765148");
C=B.fN("mm-tools Options Reference","67#1757899");
A=P.fN("Chapter\u00a09 Monitoring and Managing a TIBCO BusinessEvents Cluster","68");
B=A.fN("Overview of Monitoring a TIBCO BusinessEvents Cluster","69");
C=B.fN("Reference to the Metrics","69#1676186");
C=B.fN("Health Indicators and Alerts","69#1676202");
B=A.fN("Cluster Explorer","70");
C=B.fN("Predefined and Unpredefined Members","70#1766470");
C=B.fN("Inactive Members","70#1676285");
B=A.fN("Working with Cluster Explorer","71");
C=B.fN("Generating Thread Analyzer Reports","71#1770492");
B=A.fN("Working with Panels and Panes","72");
C=B.fN("Working with MM Metric Panes","72#1676342");
B=A.fN("Cluster Overview","73");
C=B.fN("Cluster Overview Pane","73#1676380");
C=B.fN("System Alerts Pane","73#1676428");
B=A.fN("Machine Overview","74");
B=A.fN("Process Overview","75");
B=A.fN("Agent Overview","76");
B=A.fN("Inference Agent Overview","77");
B=A.fN("Query Agent Overview","78");
B=A.fN("Ontology (Cache Objects) Overview","79");
B=A.fN("MM Method Reference","80");
C=B.fN("Inference Agent Methods","80#1769848");
C=B.fN("Process Methods","80#1769967");
C=B.fN("Query Agent Methods","80#1767905");
A=P.fN("Chapter\u00a010 Deployment Using TIBCO Administrator or at the Command Line","81");
B=A.fN("Deployment Overview","82");
C=B.fN("Manually Copy Custom Function and Third-Party Jars at Deploy-time","82#1695581");
B=A.fN("Starting a TIBCO BusinessEvents Engine at the Command Line","83");
C=B.fN("Supplementary Property Files","83#1681942");
B=A.fN("Deployment in a TIBCO Administrator Domain","84");
C=B.fN("TIBCO Administration Domains","84#1685021");
C=B.fN("Property Overrides and Precedence","84#1684981");
C=B.fN("Using AppManage for Scripted Deployment to a Domain","84#1684530");
C=B.fN("Overriding Global Variable Values in TIBCO Administrator","84#1685088");
B=A.fN("Before Deploying a Project in a TIBCO Administrator Domain","85");
C=B.fN("Update Engine TRA Files for TIBCO Hawk Information","85#1699103");
C=B.fN("Set Default or Specific CDD File and Processing Unit Names","85#1700832");
C=B.fN("Enable Hot Deployment, as needed.","85#1701580");
C=B.fN("Enable Service-Settable Global Variable Overrides and Build the EAR","85#1699133");
B=A.fN("Deploying a Project in a TIBCO Administrator Domain","86");
A=P.fN("Chapter\u00a011 Hot Deployment","87");
B=A.fN("Hot Deployment Overview","88");
B=A.fN("Modifications Allowed in Hot Deployment","89");
B=A.fN("Enabling Hot Deployment","90");
B=A.fN("Performing Hot Deployment in a TIBCO Administrator Domain","91");
B=A.fN("Performing Hot Deployment Outside a TIBCO Administrator Domain","92");
C=B.fN("Modify the Project as Needed and Build the EAR File","92#1676657");
C=B.fN("Replace the EAR File that was Used to Start the Engine","92#1676684");
A=P.fN("Chapter\u00a012 Threading Models and Tuning","93");
B=A.fN("Threading Models Overview","94");
B=A.fN("Event Preprocessor and Rete Worker Thread Options","95");
C=B.fN("Shared Queue and Threads","95#1682698");
C=B.fN("Caller\u2019s Thread","95#1682731");
C=B.fN("Dedicated Workers","95#1682747");
B=A.fN("RTC Options \u2014 Single-Threaded or Concurrent","96");
C=B.fN("Concurrent RTC","96#1682786");
C=B.fN("Single-Threaded RTC","96#1682798");
B=A.fN("Post RTC Options \u2014 Cache-aside and Write-behind","97");
C=B.fN("Cache-aside","97#1682814");
C=B.fN("Write-behind","97#1682873");
A=P.fN("Chapter\u00a013 Configuring User Authentication","98");
B=A.fN("User Authentication Overview","99");
C=B.fN("Pluggable JAAS Login Module","99#4194084");
C=B.fN("Authentication Options","99#3999806");
B=A.fN("Configuring User Authentication","100");
B=A.fN("Authentication Property Reference","101");
A=P.fN("Chapter\u00a014 Configuring Access Control for a Project","102");
B=A.fN("Configuring Access Control\u2014Overview","103");
C=B.fN("Establishing the User Roles","103#4014302");
C=B.fN("Guidelines for Configuring Access Control","103#4013686");
C=B.fN("Structure of the Access Control File","103#4003901");
B=A.fN("Working with Access Control Files","104");
C=B.fN("Creating and Modifying an Access Control File","104#4085767");
C=B.fN("Required Location of Access Control Files","104#4066188");
C=B.fN("Specifying and Grouping Decision Project Resources","104#4011943");
C=B.fN("Defining Permissions","104#4005792");
C=B.fN("Defining Permissions for Domain Models","104#4125949");
B=A.fN("Resource Types and Corresponding Action Types","105");
A=P.fN("Chapter\u00a015 JDBC Backing Store Configuration","106");
B=A.fN("JDBC Backing Store Configuration Overview","107");
B=A.fN("Special Cases","108");
C=B.fN("Names that Exceed the DBMS Maximum Column Length","108#1674711");
C=B.fN("String Properties That Exceed the Maximum Database Column Length","108#1689361");
C=B.fN("Ontology Identifiers That Use Database Key Words","108#1689410");
B=A.fN("Resources Required for Setting Up the Database","109");
C=B.fN("DBMS Software and Installation Requirements","109#1684443");
C=B.fN("Provided Configuration Resources","109#1674783");
B=A.fN("JDBC Backing Store Database Configuration Tasks","110");
B=A.fN("Updating an Existing Backing Store Database Schema","111");
C=B.fN("What the Schema Update Utility Can and Can\u2019t Handle Automatically","111#1694078");
C=B.fN("The Procedure","111#1677371");
B=A.fN("Adding a JDBC Connection Resource to the Studio Project","112");
B=A.fN("Configuring Backing Store Properties in the CDD Editor","113");
C=B.fN("Enabling Backing Store and General Settings","113#1698895");
C=B.fN("Database Connection Settings","113#1699045");
C=B.fN("If a Custom Cache Configuration File is Used","113#1681605");
C=B.fN("Specifying Limited Cache Size","113#1675487");
B=A.fN("Backing Store Table Reference","114");
C=B.fN("Primary Tables","114#1702264");
C=B.fN("Secondary Tables","114#1702275");
C=B.fN("Reverse Reference Tables","114#1702363");
C=B.fN("Class-to-Table Mapping","114#1702384");
A=P.fN("Appendix\u00a0A Setting up an Oracle-Only Backing Store","115");
B=A.fN("Oracle-Only Backing Store Database Setup Overview","116");
C=B.fN("Oracle-Only Backing Store Requirements","116#1674677");
C=B.fN("Before You Begin Database Setup","116#1674680");
C=B.fN("Oracle-Only Backing Store Database Setup Tasks","116#1674686");
C=B.fN("Extra Procedure to Handle Long Database Identifier Names","116#1674697");
C=B.fN("After You Finish Database Setup","116#1674704");
C=B.fN("Maintaining a Backing Store \u2014 If Ontology Object Definitions Change","116#1674710");
B=A.fN("Resources Required for Setting Up the Oracle Database","117");
B=A.fN("Oracle-Only Backing Store Database Configuration Tasks","118");
B=A.fN("Updating an Existing Oracle Database Schema","119");
B=A.fN("Project Configuration for Oracle-Only Backing Store","120");
B=A.fN("Oracle-Only Backing Store Runtime Behavior","121");
B=A.fN("Handling Deleted Entities","122");
A=P.fN("Appendix\u00a0B Determining the Engine Name","123");
A=P.fN("Appendix\u00a0C Engine Startup and Shutdown Sequence","124");
B=A.fN("Startup Sequence","124#1675471");
B=A.fN("Shutdown Sequence","124#1675494");
B=A.fN("System Startup and Shutdown Sequence","124#1675844");
A=P.fN("Appendix\u00a0D Advanced Caching Topics","125");
B=A.fN("Overriding and Extending the Operational Deployment Descriptor","126");
C=B.fN("Overriding Element Values in Engine Property Files","126#1674732");
C=B.fN("Defining Additional Elements and System Properties in Override Files","126#1674751");
B=A.fN("Specifying Operational Override File Locations","127");
C=B.fN("How the First Tier Override File Default Location is Specified","127#1674793");
C=B.fN("How to Specify a Different Location for the First Tier Override File","127#1674825");
C=B.fN("How a Second Tier Override File Default Location is Specified and Overridden","127#1674835");
B=A.fN("Understanding Entity Caches","128");
C=B.fN("Entity Cache Names Format","128#1674855");
C=B.fN("Caches for Ontology Objects","128#1674883");
C=B.fN("Caches for Internal Entities","128#1674888");
A=P.fN("Appendix\u00a0E TIBCO Hawk Microagent Methods","129");
B=A.fN("TIBCO Hawk Methods Overview","130");
C=B.fN("Types of Methods","130#1678154");
C=B.fN("Enabling the TIBCO Hawk Microagent","130#1678095");
C=B.fN("For More Information","130#1678176");
B=A.fN("activateRuleSet()","131");
B=A.fN("activateTraceRole()","132");
B=A.fN("deactivateRuleSet()","133");
B=A.fN("deactivateTraceRole()","134");
B=A.fN("execute()","135");
B=A.fN("forceOMCheckpoint()","136");
B=A.fN("getChannels()","137");
B=A.fN("getDestinations()","138");
B=A.fN("getEvent()","139");
B=A.fN("GetExecInfo()","140");
B=A.fN("getHostInformation()","141");
B=A.fN("getInstance()","142");
B=A.fN("getMemoryUsage()","143");
B=A.fN("getNumberOfEvents()","144");
B=A.fN("getNumberOfInstances()","145");
B=A.fN("getOMInfo()","146");
B=A.fN("getRuleSet()","147");
B=A.fN("getRuleSets()","148");
B=A.fN("getScorecard()","149");
B=A.fN("getScorecards()","150");
B=A.fN("getSessionInputDestinations()","151");
B=A.fN("getSessions()","152");
B=A.fN("getStatus()","153");
B=A.fN("getTotalNumberRulesFired()","154");
B=A.fN("getTraceSinks()","155");
B=A.fN("reconnectChannels()","156");
B=A.fN("resetTotalNumberRulesFired()","157");
B=A.fN("resumeChannels()","158");
B=A.fN("resumeDestinations()","159");
B=A.fN("stopApplicationInstance()","160");
B=A.fN("suspendChannels()","161");
B=A.fN("suspendDestinations()","162");
}
