function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of this Guide","5");
B=A.fN("Related Documentation","6");
var C=B.fN("TIBCO BusinessEvents Documentation","6#43939");
C=B.fN("Accessing BusinessEvents Functions Reference Documentation","6#44005");
C=B.fN("TIBCO BusinessEvents Event Stream Processing","6#44021");
C=B.fN("TIBCO BusinessEvents Decision Manager","6#44059");
C=B.fN("TIBCO BusinessEvents Data Modeling","6#44082");
C=B.fN("TIBCO BusinessEvents Views","6#44111");
C=B.fN("Other TIBCO Product Documentation","6#44144");
B=A.fN("Typographical Conventions","7");
B=A.fN("How to Contact TIBCO Support","8");
A=P.fN("Chapter\u00a01 Overview","9");
B=A.fN("What\u2019s Different About Complex Event Processing","10");
C=B.fN("Technical Requirements of a CEP System","10#1674671");
C=B.fN("A Model-Driven Approach","10#1674683");
C=B.fN("Stateful Rule Engine","10#1674744");
C=B.fN("Object Management Options","10#1674748");
B=A.fN("Main Product Components and Add-Ons","11");
C=B.fN("Add-on Product Modules","11#1677467");
C=B.fN("TIBCO BusinessEvents Design-time Components","11#1674764");
C=B.fN("TIBCO BusinessEvents Administration Components","11#1674866");
B=A.fN("Designtime Resource Overview","12");
C=B.fN("Channels and Events","12#1674904");
C=B.fN("Concepts","12#1674936");
C=B.fN("Score Cards","12#1674952");
C=B.fN("Rules","12#1674963");
C=B.fN("Object Management and Fault Tolerance","12#1676302");
C=B.fN("State Modeler","12#1674996");
C=B.fN("Database Concepts","12#1676341");
C=B.fN("Query Language","12#1675027");
C=B.fN("Pattern Language","12#1676433");
B=A.fN("Deploy-time and Runtime Overview","13");
C=B.fN("Cluster Deployment Descriptor (CDD)","13#1679444");
C=B.fN("Site Topology File","13#1679482");
C=B.fN("Deployment with MM","13#1679491");
C=B.fN("Monitoring and Management with MM","13#1679494");
C=B.fN("TIBCO Hawk Application Management Interface","13#1680057");
C=B.fN("Hot Deployment","13#1679507");
A=P.fN("Chapter\u00a02 Channels and Events","14");
B=A.fN("Channels and Events Overview","15");
B=A.fN("Event Preprocessors","16");
C=B.fN("Preprocessor Use Guidelines","16#1678460");
B=A.fN("Types of Channels","17");
B=A.fN("Default Destinations and Default Events","18");
B=A.fN("Message Acknowledgment","19");
B=A.fN("Types of Events","20");
C=B.fN("Simple Events","20#1674790");
C=B.fN("Time Events","20#1674801");
C=B.fN("Advisory Events","20#1674810");
B=A.fN("Simple Events \u2014 Time to Live and Expiry Actions","21");
C=B.fN("Event Expiration and Expiry Actions","21#1674888");
A=P.fN("Chapter\u00a03 Concepts","22");
B=A.fN("Overview of Concepts","23");
B=A.fN("Concept Property History","24");
C=B.fN("History Size","24#1675003");
C=B.fN("History Policy","24#1675088");
B=A.fN("Concept Relationships","25");
C=B.fN("Inheritance Relationships","25#1675141");
C=B.fN("Containment Relationships","25#1675154");
C=B.fN("Reference Relationships","25#1675190");
C=B.fN("Rules Governing Containment and Reference Relationships","25#1677373");
C=B.fN("When a Contained or Referred Concept Instance is Deleted","25#1675279");
A=P.fN("Chapter\u00a04 Rules and Functions","26");
B=A.fN("Rules","27");
C=B.fN("Inferencing Rules","27#1675311");
C=B.fN("Rule Priority and Rank","27#1677593");
C=B.fN("Organizing and Deploying Inferencing Rules","27#1675344");
B=A.fN("Rule Functions","28");
C=B.fN("Virtual Rule Functions and Decision Tables","28#1675362");
B=A.fN("Startup and Shutdown Rule Functions","29");
C=B.fN("When Startup Rule Functions Execute","29#1675419");
C=B.fN("Creating Entities With a Startup Action in a Multi-Engine Project","29#1675427");
C=B.fN("ActiveMatrix BusinessWorks Containers","29#1675438");
A=P.fN("Chapter\u00a05 Run-time Inferencing Behavior","30");
B=A.fN("Runtime Architecture and Flow","31");
C=B.fN("Rule Evaluation and Execution","31#1674769");
B=A.fN("Understanding Conflict Resolution and Run to Completion Cycles","32");
C=B.fN("How the Rete Network is Built","32#1674870");
C=B.fN("Testing the Truth of a Rule\u2019s Conditions Using the Dependency Set","32#1674884");
C=B.fN("How a Rule Becomes Newly True","32#1674897");
C=B.fN("Order of Evaluation of Rule Conditions","32#1674913");
A=P.fN("Chapter\u00a06 Object Management Options","33");
B=A.fN("Object Management (OM) Overview","34");
C=B.fN("Cache Object Management","34#1685288");
C=B.fN("In Memory Object Management","34#1674691");
C=B.fN("Berkeley DB (Persistence) Object Management","34#1674709");
C=B.fN("Summary of Object Management Features","34#1674735");
C=B.fN("Migrating to a Different Object Management Method","34#1674796");
B=A.fN("Berkeley DB Object Management","35");
C=B.fN("Fault Tolerance With Berkeley DB Manager","35#1686701");
B=A.fN("Object Management and Fault Tolerance Scenarios","36");
C=B.fN("Cache OM with Memory Only Mode on All Objects and Fault Tolerance Scenarios","36#1674843");
C=B.fN("Berkeley DB Object Management and Fault Tolerance Scenarios","36#1674901");
C=B.fN("Cache Object Management and Fault Tolerance Scenarios","36#1674956");
A=P.fN("Chapter\u00a07 Distributed Cache OM","37");
B=A.fN("Cache Object Management Feature Overview","38");
C=B.fN("Distributed Cache Characteristics","38#1675053");
C=B.fN("Scaling the System","38#1685580");
C=B.fN("Reliability of Cache Object Management","38#1675061");
C=B.fN("Concurrency \u2014 Multi-Agent and Concurrent RTC Features","38#1685672");
C=B.fN("Where Object Management is Configured","38#1688561");
B=A.fN("Characteristics of Distributed Caching Schemes","39");
C=B.fN("Failover and Failback of Distributed Cache Data","39#1679188");
C=B.fN("Limited and Unlimited Cache Size","39#1679194");
B=A.fN("Distributed Cache and Multi-Agent Architecture and Terms","40");
C=B.fN("Cache Clusters","40#1679947");
C=B.fN("Cache Cluster Processing Units (Nodes)","40#1679955");
C=B.fN("Inference Agents","40#1679971");
C=B.fN("Cache Agents (Storage Nodes)","40#1679996");
C=B.fN("Query Agents","40#1680004");
C=B.fN("Dashboard Agents","40#1681948");
B=A.fN("Cache Cluster Discovery","41");
C=B.fN("Cluster Member Discovery Using Multicast Discovery","41#1686952");
C=B.fN("Cluster Member Discovery Using Well-Known-Addresses","41#1691854");
C=B.fN("Discovery When Host Machines Have Multiple Network Cards","41#1687156");
B=A.fN("Load Balancing and Fault Tolerance of Inference Agents","42");
C=B.fN("Load Balancing of Inference Agents in a Group","42#1680026");
C=B.fN("Fault Tolerance Between Inference Agents in a Group","42#1680038");
B=A.fN("Cache OM with a Backing Store","43");
C=B.fN("Backing Store Write Options \u2014 Cache-aside and Write-behind","43#1679329");
B=A.fN("Starting a Minimum Number (Quorum) of Cache Servers","44");
B=A.fN("Managing Storage and Retrieval of Entity Objects","45");
C=B.fN("Between Backing Store and Cache: Preloading Options and Limited Cache Size","45#1677581");
C=B.fN("Between Cache and Rete Network: Cache Modes","45#1677606");
B=A.fN("The Role of the Object Table","46");
A=P.fN("Chapter\u00a08 Cache Modes and Project Design","47");
B=A.fN("Working With Cache Modes","48");
C=B.fN("Cache Plus Memory \u2014 For Constants and Less Changeable Objects","48#1679374");
C=B.fN("In Memory Only \u2014 Useful for Stateless Entities","48#1674672");
C=B.fN("Cache Only Mode","48#1674687");
B=A.fN("Loading Cache-Only Objects into the Rete Network","49");
C=B.fN("Cache Load Functions","49#1674702");
C=B.fN("Loaded Objects are Not New and Don\u2019t Trigger Rules to Fire","49#1674728");
A=P.fN("Chapter\u00a09 Concurrency and Project Design","50");
B=A.fN("Designing for Concurrency","51");
B=A.fN("Multi-Agent Features and Constraints","52");
C=B.fN("Concepts are Shared Across Agents Asynchronously","52#1674765");
C=B.fN("Scorecards are Local to the Agent","52#1674779");
C=B.fN("Events are Owned by the Agent that Receives Them","52#1677846");
C=B.fN("Multi-Agent Example Showing Event Handling","52#1674803");
B=A.fN("Using Locks to Ensure Data Integrity Within and Across Agents","53");
C=B.fN("Understanding Locking in BusinessEvents","53#1680443");
C=B.fN("When to Use Locking","53#1677125");
C=B.fN("Lock Processing Example Flow","53#1677224");
C=B.fN("Locking Functions","53#1674935");
C=B.fN("Tips on Using Locks","53#1674950");
C=B.fN("Avoiding Deadlock when Multiple Keys Protect One Object","53#1677583");
C=B.fN("Diagnosing and Resolving Lock Failures","53#1674959");
}
